Class | PhusionPassenger::Standalone::HelpCommand
In: | lib/phusion_passenger/standalone/help_command.rb
Parent: | Command

### Methods

run show_in_command_list

### Public Class methods

show_in_command_list()

[Source]

        # File lib/phusion_passenger/standalone/help_command.rb, line 29
    29:         def self.show_in_command_list
    30:                 return false
    31:         end

### Public Instance methods

run()

[Source]

        # File lib/phusion_passenger/standalone/help_command.rb, line 33
    33:         def run
    34:                 puts "Phusion Passenger Standalone, the easiest way to deploy Ruby web apps."
    35:                 puts
    36:                 puts "Available commands:"
    37:                 puts
    38:                 Main.each_command do |command_name, command_class|
    39:                         if command_class.show_in_command_list
    40:                                 printf "  passenger %-15s  %s\n",
    41:                                         command_name,
    42:                                         wrap_desc(command_class.description, 51, 29)
    43:                         end
    44:                 end
    45:                 puts
    46:                 puts "Special options:"
    47:                 puts
    48:                 puts "  passenger --help      Display this help message."
    49:                 puts "  passenger --version   Display version number."
    50:                 puts
    51:                 puts "For more information about a specific command, please type"
    52:                 puts "'passenger <COMMAND> --help', e.g. 'passenger start --help'."
    53:         end

[Validate]